View Issue Details

IDProjectCategoryView StatusLast Update
0001446ScribusImport / Exportpublic2005-01-03 12:15
ReporterAndyFitz Assigned Tofschmid  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformGNOMEOSUbuntu LinuxOS VersionHoary
Product Version 
Target VersionFixed in Version1.2.1cvs 
Summary0001446: SVG doesnt import / render large files
DescriptionThe attached file does not import properly, it contains nothing but flat-filled vector shapes ( with the occasional stroke ).

This might be because the file is rather large ( 800k uncompressed )
Steps To Reproduceextract the bz2 archive and attempt to import the svg document.
also note that when importing without a document open. the document dimensions dont seem to be read properly
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2004-12-24 08:38

 

pdfme.tar.bz2 (295,438 bytes)

plinnell

2004-12-25 21:17

viewer   ~0003248

Attempting to view this with Batik:


java.io.IOException: An invalid XML character (Unicode: 0x0) was found in the value of attribute "style" and element is "path".
    at org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Unknown Source)
    at org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Unknown Source)
    at org.apache.batik.dom.svg.SAXSVGDocumentFactory.createDocument(Unknown Source)
    at org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Unknown Source)
    at org.apache.batik.bridge.DocumentLoader.loadDocument(Unknown Source)
    at org.apache.batik.swing.svg.SVGDocumentLoader.run(Unknown Source)

plinnell

2004-12-25 21:19

viewer   ~0003249

I tried opening this with Iknscape 0.40

/home/peter/Documents/testing/pdfme.svgz:64: parser error : AttValue: ' expected
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/home/peter/Documents/testing/pdfme.svgz:64: parser error : attributes construct
 error
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/home/peter/Documents/testing/pdfme.svgz:64: parser error : Couldn't find end of
 Start Tag path line 63
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/home/peter/Documents/testing/pdfme.svgz:64: parser error : Premature end of dat
a in tag g line 52
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/home/peter/Documents/testing/pdfme.svgz:64: parser error : Premature end of dat
a in tag svg line 5
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^

** (inkscape:4523): WARNING **: SVGView: error loading document '/home/peter/Doc
uments/testing/pdfme.svgz'


gzip: /home/peter/Documents/testing/pdfme.svgz: invalid compressed data--crc err
or

gzip: /home/peter/Documents/testing/pdfme.svgz: invalid compressed data--lengtherror
/tmp/ink_ext_12l6C2:64: parser error : AttValue: ' expected
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/tmp/ink_ext_12l6C2:64: parser error : attributes construct error
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/tmp/ink_ext_12l6C2:64: parser error : Couldn't find end of Start Tag path line63
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/tmp/ink_ext_12l6C2:64: parser error : Premature end of data in tag g line 52
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^
/tmp/ink_ext_12l6C2:64: parser error : Premature end of data in tag svg line 5
onzero;stroke:none;stroke-width:1.0000000pt;stroke-linecap:buttare;stroke-linejo
                                                                               ^

** (inkscape:4523): CRITICAL **: file document.cpp: line 511 (void sp_document_set_uri(SPDocument*, const gchar*)): assertion `document != NULL' failed

2004-12-26 01:05

 

pdfme.pdf (342,603 bytes)

Tsoots

2004-12-26 01:06

manager   ~0003250

After resaving in inkscape and then importing I had no problems. See attached pdfme.pdf.

plinnell

2004-12-26 20:06

viewer   ~0003254

Tested. Fixed.

Issue History

Date Modified Username Field Change
2004-12-24 08:38 AndyFitz New Issue
2004-12-24 08:38 AndyFitz File Added: pdfme.tar.bz2
2004-12-25 21:17 plinnell Note Added: 0003248
2004-12-25 21:19 plinnell Note Added: 0003249
2004-12-26 01:05 Tsoots File Added: pdfme.pdf
2004-12-26 01:06 Tsoots Note Added: 0003250
2004-12-26 14:26 fschmid Status new => resolved
2004-12-26 14:26 fschmid Fixed in Version => 1.2.1cvs
2004-12-26 14:26 fschmid Resolution open => fixed
2004-12-26 14:26 fschmid Assigned To => fschmid
2004-12-26 20:06 plinnell Note Added: 0003254
2005-01-03 12:15 cbradney Status resolved => closed
2006-05-17 19:28 christoph_s Relationship added child of 0002931